//
// IMBarButtonItem.m
// IvyMedia
//
// Created by paul on 11/28/14.
//
//

#import "IMBarButtonItem.h"
#import <BlocksKit/BlocksKit+UIKit.h>

@implementation UIBarButtonItem (IMHandler)

- (instancetype)im_initWithBarButtonSystemItem:(UIBarButtonSystemItem)systemItem handler:(void (^)(UIBarButtonItem *barButtonItem))handler {
	return [self bk_initWithBarButtonSystemItem:systemItem handler:handler];
}

- (instancetype)im_initWithImage:(UIImage *)image landscapeImagePhone:(UIImage *)landscapeImagePhone style:(UIBarButtonItemStyle)style handler:(void (^)(UIBarButtonItem *barButtonItem))handler {
	return [self bk_initWithImage:image landscapeImagePhone:landscapeImagePhone style:style handler:handler];
}

- (instancetype)im_initWithImage:(UIImage *)image style:(UIBarButtonItemStyle)style handler:(void (^)(UIBarButtonItem *barButtonItem))handler {
	return [self bk_initWithImage:image style:style handler:handler];
}

- (instancetype)im_initWithTitle:(NSString *)title style:(UIBarButtonItemStyle)style handler:(void (^)(UIBarButtonItem *barButtonItem))handler {
	return [self bk_initWithTitle:title style:style handler:handler];
}

@end
